org.apache.avro.util

## Class ReusableByteBufferInputStream

- java.lang.Object
- - java.io.InputStream
  - - org.apache.avro.util.ReusableByteBufferInputStream

All Implemented Interfaces:
  Closeable, AutoCloseable

    public class ReusableByteBufferInputStream
    extends InputStream

### Constructor Summary

Constructors
Constructor and Description
`ReusableByteBufferInputStream()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `mark(int readLimit)`
`boolean` `markSupported()`
`int` `read()`
`int` `read(byte[] b, int off, int len)`
`void` `reset()`
`void` `setByteBuffer(ByteBuffer buf)`
`long` `skip(long n)`

### Methods inherited from class java.io.InputStream

`available, close, read`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ReusableByteBufferInputStream

    public ReusableByteBufferInputStream()

### Method Detail

#### setByteBuffer

    public void setByteBuffer(ByteBuffer buf)

#### read

    public int read()
             throws IOException

Specified by:
  `read` in class `InputStream`
Throws:
  `IOException`

#### read

    public int read(byte[] b,
                    int off,
                    int len)
             throws IOException

Overrides:
  `read` in class `InputStream`
Throws:
  `IOException`

#### skip

    public long skip(long n)
              throws IOException

Overrides:
  `skip` in class `InputStream`
Throws:
  `IOException`

#### mark

    public void mark(int readLimit)

Overrides:
  `mark` in class `InputStream`

#### reset

    public void reset()
               throws IOException

Overrides:
  `reset` in class `InputStream`
Throws:
  `IOException`

#### markSupported

    public boolean markSupported()

Overrides:
  `markSupported` in class `InputStream`